# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 1

%global barename superagent-proxy

Name:               nodejs-superagent-proxy
Version:            1.0.0
Release:            4%{?dist}
Summary:            Request proxy(uri) superagent extension

# License is in README.md
License:            MIT
URL:                https://www.npmjs.org/package/superagent-proxy
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(proxy-agent)
BuildRequires:      npm(superagent)
BuildRequires:      npm(mocha)
%endif


%description
This module extends visionmedia/superagent's Request class with a .proxy(uri)
function. This allows you to proxy the HTTP request through a proxy of some
kind.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep debug

%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/superagent-proxy
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/superagent-proxy

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
# only run tests which don't need internet access
mocha --reporter spec \
    --invert \
    --grep 'proxy should work against an'
%endif


%files
%doc README.md
%{nodejs_sitelib}/superagent-proxy/

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 05 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.0.0-1
- Update to 1.0.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Sep 21 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.0-2
- fix debug dep

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.3.0-1
- Initial packaging for Fedora.
